Subject: Re: [PATCH v5 bpf-next 2/2] net: xdp: introduce xdp_prepare_buff utility routine

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 24 Dec 2020 17:19:21 +0100

On Tue, 22 Dec 2020 22:09:29 +0100
Lorenzo Bianconi <[email-masked]> wrote:

> Introduce xdp_prepare_buff utility routine to initialize per-descriptor
> xdp_buff fields (e.g. xdp_buff pointers). Rely on xdp_prepare_buff() in
> all XDP capable drivers.
> 
> Signed-off-by: Lorenzo Bianconi <[email-masked]>
> ---
>  drivers/net/ethernet/amazon/ena/ena_netdev.c  |  7 +++----
>  drivers/net/ethernet/broadcom/bnxt/bnxt_xdp.c |  5 +----
>  .../net/ethernet/cavium/thunder/nicvf_main.c  |  8 ++++----
>  .../net/ethernet/freescale/dpaa/dpaa_eth.c    |  6 ++----
>  .../net/ethernet/freescale/dpaa2/dpaa2-eth.c  | 14 +++++--------
>  drivers/net/ethernet/intel/i40e/i40e_txrx.c   | 12 +++++------
>  drivers/net/ethernet/intel/ice/ice_txrx.c     |  9 +++++----
>  drivers/net/ethernet/intel/igb/igb_main.c     | 12 +++++------
>  drivers/net/ethernet/intel/ixgbe/ixgbe_main.c | 12 +++++------
>  .../net/ethernet/intel/ixgbevf/ixgbevf_main.c | 12 +++++------
>  drivers/net/ethernet/marvell/mvneta.c         |  7 ++-----
>  .../net/ethernet/marvell/mvpp2/mvpp2_main.c   |  8 +++-----
>  drivers/net/ethernet/mellanox/mlx4/en_rx.c    |  6 ++----
>  .../net/ethernet/mellanox/mlx5/core/en_rx.c   |  5 +----
>  .../ethernet/netronome/nfp/nfp_net_common.c   |  8 ++++----
>  drivers/net/ethernet/qlogic/qede/qede_fp.c    |  6 ++----
>  drivers/net/ethernet/sfc/rx.c                 |  7 ++-----
>  drivers/net/ethernet/socionext/netsec.c       |  6 ++----
>  drivers/net/ethernet/ti/cpsw.c                | 16 +++++----------
>  drivers/net/ethernet/ti/cpsw_new.c            | 16 +++++----------
>  drivers/net/hyperv/netvsc_bpf.c               |  5 +----
>  drivers/net/tun.c                             |  5 +----
>  drivers/net/veth.c                            |  8 ++------
>  drivers/net/virtio_net.c                      | 12 ++++-------
>  drivers/net/xen-netfront.c                    |  6 ++----
>  include/net/xdp.h                             | 12 +++++++++++
>  net/bpf/test_run.c                            |  7 ++-----
>  net/core/dev.c                                | 20 +++++++++----------
>  28 files changed, 105 insertions(+), 152 deletions(-)

Acked-by: Jesper Dangaard Brouer <[email-masked]>

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer